import 'package:flutter/material.dart';

import 'package:honeywellscanner/honeywell_scanner_plugin.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _erCodeValue = 'Unknown';

  @override
  void initState() {
    super.initState();
    HoneywellScanner.honeywellScannerChannel.setMessageHandler(
          (String message) => Future<String>(() {
        setState(() {
          _erCodeValue = message;
        });
        return message;
      }),
    );
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Text('ErCode is: $_erCodeValue\n'),
        ),
      ),
    );
  }
}
